unit DBGrid;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, IWWebGrid,
  IWDBAdvWebGrid, DB, DBTables, IWDBStdCtrls, IWCompEdit, IWTMSCtrls,
  IWDBTMSCtrls, Controls, IWBaseControl, IWControl, IWCompLabel, LeftFrame,
  Forms, TopFrame, IWVCLBaseControl, IWBaseHTMLControl, IWCompButton, ADODB,
  IWGrids, IWDBGrids;

type
  TformDBGrid = class(TIWAppForm)
    IWLabel1: TIWLabel;
    TIWDBAdvEdit1: TTIWDBAdvEdit;
    TIWDBAdvEdit2: TTIWDBAdvEdit;
    IWDBNavigator1: TIWDBNavigator;
    TIWDBAdvWebGrid1: TTIWDBAdvWebGrid;
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    ADOQuery1: TADOQuery;
    ADOConnection1: TADOConnection;
    DataSource1: TDataSource;
    procedure IWAppFormCreate(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}                               

uses
  ServerController;


procedure TformDBGrid.IWAppFormCreate(Sender: TObject);
begin
  ADOConnection1.ConnectionString :=
    'Provider=Microsoft.Jet.OLEDB.4.0;Password="";Persist Security Info=True;Data Source= ' +
  WebApplication.ApplicationPath + 'demos.mdb';
  DataSource1.DataSet.Active := true;
end;

initialization
  TformDBGrid.SetAsMainForm



end.
